<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_222) on Fri Oct 09 16:38:45 CEST 2020 -->
<title>Configuration</title>
<meta name="date" content="2020-10-09">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Configuration";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Configuration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="CompatibilityManager.html" title="interface in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="Configurator.html" title="interface in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?Configuration.html" target="_top">Frames</a></li>
<li><a href="Configuration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h2 title="Interface Configuration" class="title">Interface Configuration</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Configuration</span></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>rozé et rabe
 <p>
 Interface who manage the different PartType of the configuration</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Configuration.html#clear--">clear</a></span>()</code>
<div class="block">remove all the PartType</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Configuration.html#getSelectedParts--">getSelectedParts</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Configuration.html#getSelectionForCategory-Category-">getSelectionForCategory</a></span>(<a href="Category.html" title="interface in &lt;Unnamed&gt;">Category</a>&nbsp;category)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Configuration.html#isComplete--">isComplete</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Configuration.html#isValid--">isValid</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Configuration.html#selectPart-PartType-">selectPart</a></span>(<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;chosenPart)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Configuration.html#unselectPartType-Category-">unselectPartType</a></span>(<a href="Category.html" title="interface in &lt;Unnamed&gt;">Category</a>&nbsp;categoryToClear)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isValid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValid</h4>
<pre>boolean&nbsp;isValid()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the configuration is valid (check compatibility for each PartType)</dd>
</dl>
</li>
</ul>
<a name="isComplete--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isComplete</h4>
<pre>boolean&nbsp;isComplete()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the configuration have the 4 differents category</dd>
</dl>
</li>
</ul>
<a name="getSelectedParts--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectedParts</h4>
<pre>java.util.Set&lt;<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&gt;&nbsp;getSelectedParts()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>all the PartType of the configuration</dd>
</dl>
</li>
</ul>
<a name="selectPart-PartType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectPart</h4>
<pre>void&nbsp;selectPart(<a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;chosenPart)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>chosenPart</code> - add the chosenPart in the configuration</dd>
</dl>
</li>
</ul>
<a name="getSelectionForCategory-Category-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelectionForCategory</h4>
<pre><a href="PartType.html" title="interface in &lt;Unnamed&gt;">PartType</a>&nbsp;getSelectionForCategory(<a href="Category.html" title="interface in &lt;Unnamed&gt;">Category</a>&nbsp;category)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>category</code> - the choosen category for the selection</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the PartType of the selected category</dd>
</dl>
</li>
</ul>
<a name="unselectPartType-Category-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unselectPartType</h4>
<pre>void&nbsp;unselectPartType(<a href="Category.html" title="interface in &lt;Unnamed&gt;">Category</a>&nbsp;categoryToClear)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>categoryToClear</code> - the choosen category to remove the PartType</dd>
</dl>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clear</h4>
<pre>void&nbsp;clear()</pre>
<div class="block">remove all the PartType</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Configuration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="CompatibilityManager.html" title="interface in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="Configurator.html" title="interface in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?Configuration.html" target="_top">Frames</a></li>
<li><a href="Configuration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
